require "util"
require "defines"
require "scripts/functions"
game.oninit(function()

	--startingItems()

	initaltable()
end)


game.onload(function()
	initaltable()
end)

game.onevent(defines.events.ontick, function(event)
    if game.tick%120==0 then
	   local pos=game.player.position
	   local hole=game.findentitiesfiltered{area = {{pos.x-120, pos.y-120}, {pos.x+120, pos.y+120}}, name="worm-hole"}
	   if hole[1]~=nil then
         game.player.getinventory(1).insert{name="worm-hole-capsule",count=1}
		if game.player.getitemcount("battery")<=10 then
		   game.player.print("Not enough batteries")
		else
		   game.player.teleport(hole[1].position)
		   game.player.removeitem{name="battery",count=10}
		end 
		hole[1].destroy()
	   end
	   local backhome=game.findentitiesfiltered{area ={{pos.x-5, pos.y-5}, {pos.x+5, pos.y+5}},name="town-portal"}
	   if backhome[1]~=nil then
	      if  glob.home~=nil then
	      game.player.teleport({ glob.home.x+3, glob.home.y})
		  end
		  backhome[1].destroy()
	   end
       local blackhole=game.findentitiesfiltered{area={{pos.x-50, pos.y-50}, {pos.x+50, pos.y+50}},name="black-hole"}
	    if blackhole[1]~=nil then
		    for i,d in ipairs (blackhole) do
			    local des=game.findentities{{d.position.x-10, d.position.y-10}, {d.position.x+10, d.position.y+10}}
				for a,b in ipairs (des) do
				  if b.name~="black-hole" then
				    if  ((d.position.x-b.position.x)^2+(d.position.y-b.position.y)^2)^0.5 <=10 then
					    if b.name=="player" then 
						game.player.teleport({0,0})
						else
					    b.destroy()
						end
					end
				  end
				end
               				
            end
		end	
		for i,chest in ipairs(glob.blackholechest) do
		  if chest~=nil then
		  --game.player.print(""..#chest)
		  --game.player.print("1")
		    if  chest.input~=nil then
			if chest.input.valid ==true then
			--game.player.print("2")
			if  chest.output~=nil then
			if  chest.output.valid then
			 --if glob.blackholechest.input[i]~={} then
			local item= chest.input.getinventory(1)
			  if item~=0 then
              --game.player.print(""..#item)
			  --game.player.print("3")
			    
				 --if glob.blackholechest.output[i]~={} then
	                --local caninsert= glob.blackholechest.output[i].getinventory(1).caninsert{item}		
				    --if caninsert==true then
				  for d=1,#item,1 do
				   
				   local e=d
				    if item[e]~=nil then
				    if  chest.output.getinventory(1).caninsert{name=item[e].name,count=item[e].count} then
					--game.player.print("5")
				    chest.output.getinventory(1).insert{name=item[e].name,count=item[e].count}
				    chest.input.getinventory(1).remove{name=item[e].name,count=item[e].count}
				    end
					end
				  end
				 --else
                  --table.remove( glob.blackholechest.output,i) 
                -- end				  
				end
				end
			  end
			  --else
			   -- table.remove( glob.blackholechest.input,i)
			 --end
			
			end
		  end
		  end
		end	
    end	
    if game.tick%120==1 then 
	   if glob.timer.dali==0 then
	      if glob.dali==1 then
	        game.player.force.manualcraftingspeedmodifier =1
			game.player.print("I feel tired")
			glob.dali=0
		  end
	   end
	   if glob.timer.dali>0 then
	      glob.timer.dali=glob.timer.dali-1
	      if glob.dali==0 then
		    
		    game.player.print("I could craft faster")
		    game.player.force.manualcraftingspeedmodifier =20
			glob.dali=1
		  end
	   end 
       if glob.timer.kefei==0 then
	      if glob.kefei==1 then
	        game.player.force.manualminingspeedmodifier =1
			game.player.print("I feel tired")
			glob.kefei=0
		  end
	   end
	   if glob.timer.kefei>0 then
	   glob.timer.kefei=glob.timer.kefei-1
	      if glob.kefei==0 then
		    
		    game.player.print("I could mine faster")
		    game.player.force.manualminingspeedmodifier =20
			glob.kefei=1
		  end
	   end
	 end
	if game.tick%30==0 then    
	   if glob.timer.xiaotai==0 then
	      if glob.xiaotai==1 then
		     game.player.print("I feel tired")
			 glob.xiaotai=0
		  end
	   end
	   if glob.timer.xiaotai>0 then
	        glob.timer.xiaotai=glob.timer.xiaotai-1
		    game.player.character.health =1000
			glob.xiaotai=1
	   end
       	   
    end
    
    if game.tick%2==1 then
	    coreseltimer()
        if glob.seltimer.core>=60 then 
           glob.seltimer.core=0
	    local selecteddevice = false
		if game.player.selected.name == "battle-core" then 
		    selecteddevice = true
			glob.activecore=game.player.selected
			if game.player.gui.left.menu_core==nil then
            createcoregui()	
            end			
		end
		end  
	end	   
	if game.tick%2==0 then
        corereload()
    end		
end)

game.onevent(defines.events.onbuiltentity,function(event)
    if event.createdentity.name=="home-beacon" then
	    glob.home=event.createdentity.position
	end
	if event.createdentity.name=="chest-input" then
	    glob.blackholechest.placing=event.createdentity
		inputchest()
    end
	if event.createdentity.name=="chest-output" then
	    glob.blackholechest.placing=event.createdentity
		outputchest()
	end
	  
	   
	
	if event.createdentity.valid then
	   if  event.createdentity.name=="dali" then
	    game.player.print("大力出奇迹")	   
	    glob.timer.dali=glob.timer.dali+60
		game.player.print("Duration"..glob.timer.dali*2)
	    event.createdentity.destroy()
	   end
    end	
	if event.createdentity.valid then
	  if  event.createdentity.name=="kefei" then
       game.player.print("万万没想到")
	   glob.timer.kefei=glob.timer.kefei+60
	   game.player.print("Duration"..glob.timer.kefei*2)
	   event.createdentity.destroy()
	  end
	end
	if event.createdentity.valid then
	  if  event.createdentity.name=="xiaotai" then
	  game.player.print("我浑身难受")
	   glob.timer.xiaotai=glob.timer.xiaotai+15
	   game.player.print("Duration"..glob.timer.xiaotai*2)
	   event.createdentity.destroy()
	  end
	end
end)

game.onevent(defines.events.onguiclick, function(event)
    if event.element.name == "corecheck" then
	   corecheck()
	   --game.player.print("checking")
	end
	
	if event.element.name == "ammotype1" then
	   if game.player.gui.left.ammo_sel ==nil then
	   createammoselgui()
	   end
	end
	if event.element.name == "ammo1" then
	game.player.gui.left.menu_core.core2.ammotype2.caption="basic-bullet-magazine"
	end
	if event.element.name == "ammo2" then
	game.player.gui.left.menu_core.core2.ammotype2.caption="piercing-bullet-magazine"
	end
	if event.element.name == "ammo3" then
	game.player.gui.left.menu_core.core2.ammotype2.caption="piercing-bullet-magazine2"
	end
	if event.element.name == "coreclose" then
	    if game.player.gui.left.ammo_sel~=nil then
	        game.player.gui.left.ammo_sel.destroy()
		end
	   game.player.gui.left.menu_core.destroy()
	end
end)
--function getdistance(ent1,ent2)
 --     if ent2.position~=nil then
 --       local  dis=((ent1.position.x-ent2.position.x)^2+(ent1.position.y-ent2.position.y)^2)^0.5   
 --       return dis
 --     else 
--	  return 100
--	  end
--end