
  data:extend({
   {
    type= "container",
    name= "dali",
    flags= {"placeable-neutral", "player-creation"},
    collision_box= {{-0, 0}, {0, 0}},
    selection_box= {{-0, 0}, {0, 0}},
    minable= { hardness= 0.2, mining_time= 999, result= "dali" },
    max_health= 150,
    drawing_position= {0.7, 0.12},
	inventory_size=1,
	icon="__F-mod__/resources/icons/pda.png",
    picture=
    {
      filename= "__black-hole-tech__/graphics/blank.png",
      width= 32,
      height= 32,
      priority= "extra-high",
      shift = {0, 0}
    }
  },
  {
    type= "container",
    name= "kefei",
    flags= {"placeable-neutral", "player-creation"},
    collision_box= {{-0, 0}, {0, 0}},
    selection_box= {{-0, 0}, {0, 0}},
    minable= { hardness= 0.2, mining_time= 999, result= "kefei" },
    max_health= 150,
    drawing_position= {0.7, 0.12},
	inventory_size=1,
	icon="__F-mod__/resources/icons/pda.png",
    picture=
    {
      filename= "__black-hole-tech__/graphics/blank.png",
      width= 32,
      height= 32,
      priority= "extra-high",
      shift = {0, 0}
    }
  },
  {
    type= "container",
    name= "xiaotai",
    flags= {"placeable-neutral", "player-creation"},
    collision_box= {{-0, 0}, {0, 0}},
    selection_box= {{-0, 0}, {0, 0}},
    minable= { hardness= 0.2, mining_time= 999, result= "xiaotai" },
    max_health= 150,
    drawing_position= {0.7, 0.12},
	inventory_size=1,
	icon="__F-mod__/resources/icons/pda.png",
    picture=
    {
      filename= "__black-hole-tech__/graphics/blank.png",
      width= 32,
      height= 32,
      priority= "extra-high",
      shift = {0, 0}
    }
  },
  
  
	{
		type= "item",
		name= "dali",
		order= "b-c-a",
		place_result= "dali",
		stack_size= 50,
		flags= { "goes-to-quickbar" },
		icon="__black-hole-tech__/graphics/dali.png",
		subgroup = "capsule",
        order = "f[destroyer-capsule]-b-b",
	},
	{
		type= "item",
		name= "kefei",
		order= "b-c-a",
		place_result= "kefei",
		stack_size= 50,
		flags= { "goes-to-quickbar" },
		icon="__black-hole-tech__/graphics/kefei.png",
		subgroup = "capsule",
        order = "f[destroyer-capsule]-b-b",
	},
	{
		type= "item",
		name= "xiaotai",
		order= "b-c-a",
		place_result= "xiaotai",
		stack_size= 50,
		flags= { "goes-to-quickbar" },
		icon="__black-hole-tech__/graphics/xiaotai.png",
		subgroup = "capsule",
        order = "f[destroyer-capsule]-b-b",
	},
	{
    type = "recipe",
    name = "dali",
    enabled = "true",
    energy_required = 1,
    ingredients =
    {
      {"alien-artifact", 1}

    },
    result = "dali"
  },
  {
    type = "recipe",
    name = "kefei",
    enabled = "true",
    energy_required = 1,
    ingredients =
    {
      {"alien-artifact", 1}
	
    },
    result = "kefei"
  },
  {
    type = "recipe",
    name = "xiaotai",
    enabled = "true",
    energy_required = 1,
    ingredients =
    {
      {"alien-artifact", 1}
	  
    },
    result = "xiaotai"
  }
})
  