


data:extend(
{
  
  {
    type = "projectile",
    name = "worm-hole-projectile",
    flags = {"not-on-map"},
    acceleration = 0.008,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
          type = "create-entity",
          entity_name = "worm-hole",
          offset = {0, 0}
        },
        
        }
      }
    },
    light = {intensity = 0.5, size = 4},
    animation =
    {
      filename = "__base__/graphics/entity/poison-capsule/poison-capsule.png",
      frame_count = 1,
      frame_width = 32,
      frame_height = 32,
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/poison-capsule/poison-capsule-shadow.png",
      frame_count = 1,
      frame_width = 32,
      frame_height = 32,
      priority = "high"
    },
    smoke = capsule_smoke,
  },
  {
    type = "projectile",
    name = "town-portal-projectile",
    flags = {"not-on-map"},
    acceleration = 0.008,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
          type = "create-entity",
          entity_name = "town-portal",
          offset = {0, 0}
        },
        
        }
      }
    },
    light = {intensity = 0.5, size = 4},
    animation =
    {
      filename = "__base__/graphics/entity/poison-capsule/poison-capsule.png",
      frame_count = 1,
      frame_width = 32,
      frame_height = 32,
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/poison-capsule/poison-capsule-shadow.png",
      frame_count = 1,
      frame_width = 32,
      frame_height = 32,
      priority = "high"
    },
    smoke = capsule_smoke,
  },
  {
    type = "projectile",
    name = "black-hole-projectile",
    flags = {"not-on-map"},
    acceleration = 0.008,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
          type = "create-entity",
          entity_name = "black-hole",
          offset = {0, 0}
        },
        
        }
      }
    },
    light = {intensity = 0.5, size = 4},
    animation =
    {
      filename = "__base__/graphics/entity/poison-capsule/poison-capsule.png",
      frame_count = 1,
      frame_width = 32,
      frame_height = 32,
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/poison-capsule/poison-capsule-shadow.png",
      frame_count = 1,
      frame_width = 32,
      frame_height = 32,
      priority = "high"
    },
    smoke = capsule_smoke,
  },
}
)
